/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2024  SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.velocitycore.mods;

import com.google.gson.JsonObject;
import com.velocitypowered.api.proxy.Player;
import com.velocitypowered.api.proxy.messages.MinecraftChannelIdentifier;

public class Badlion {
    // https://github.com/BadlionClient/BadlionClientModAPI

    private final byte[] packet;

    public Badlion() { //TODO check if working or (json) modsDisallowed wrapper necessary
        JsonObject disabled = new JsonObject();
        disabled.addProperty("disabled", true);

        JsonObject json = new JsonObject();
        json.add("Clear Glass", disabled);
        json.add("ClearWater", disabled);
        json.add("FOV Changer", disabled);
        json.add("Hitboxes", disabled);
        json.add("LevelHead", disabled);
        json.add("MiniMap", disabled);
        json.add("MLG Cobweb", disabled);
        json.add("Replay", disabled); //TODO check if ReplayMod restrictions work
        json.add("Schematica", disabled);
        json.add("ToggleSneak", disabled);
        json.add("ToggleSprint", disabled);
        json.add("TNT Time", disabled);

        packet = json.toString().getBytes();
    }

    public void sendRestrictions(Player player) {
        player.sendPluginMessage(MinecraftChannelIdentifier.from("badlion:mods"), packet);
    }
}
